#ifndef __SDL_HELPER_GUARD
#define __SDL_HELPER_GUARD
#include <stdio.h>
#include "SDL.h"

#ifndef LONG
typedef long LONG;
#endif

class BmpHelper
{
public:
    static void SaveTo8bppBmpFile(const char* fname, LONG width, LONG height, unsigned char *buffer);
    static void Init8bppHeaders();

private:
    static SDL_Color p8bpp[256];

    BmpHelper();
    ~BmpHelper();
    BmpHelper(const BmpHelper &);
    BmpHelper &operator=(const BmpHelper &);
};
#endif
